For the complete documentation index, see llms.txt.

Orders
POST/api/orders/merge

Merge Orders

Merger multiple unshipped orders to an unshipped orders

View as MarkdownCopy for LLM

Orders

Create, search, update, tag, archive, restore, and list orders before shipping.

18 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders/merge

Details

Merger multiple unshipped orders to an unshipped orders

Merge Orders Request

Attribute Type Description
parent_order_id integer The order_id of the unshipped order for the child orders to merge under
child_order_ids integer list List of order_id to merge into the parent unshipped order

Merge Orders Response

Attribute Type Description
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "parent_order_id": 121330827,
  "child_order_ids": [
    121330828
  ]
}

Response examples

Merge Orders (200)
{
  "success": true
}

Related endpoints